gmp_legendre
gmp_mul
GMP Functions
PHP Manual

# gmp_mod

Modulo operation

### Description

resource gmp_mod ( resource `$n` , resource `$d` )

Calculates `n` modulo `d`. The result is always non-negative, the sign of `d` is ignored.

### Parameters

`n`

  It can be either a GMP number resource, or a numeric string given that it is possible to convert the latter to a number.

`d`

  The modulo that is being evaluated.

  It can be either a GMP number resource, or a numeric string given that it is possible to convert the latter to a number.

### Return Values

A GMP number resource.

### Examples

Example #1 gmp_mod example

`<?php
$mod = gmp_mod("8", "3");
echo gmp_strval($mod) . "\n";
?>`

The above example will output:

    2